<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!--

  format-ctype-template(CTYPE,VALUE)

    Formats VALUE based on its C++ type (determines if double
    quotes are required).

-->

<xsl:template name="format-cctype-value">
  <xsl:param name="cctype" />
  <xsl:param name="value" />

  <xsl:choose>

    <xsl:when test="$cctype = 'std::string'" >
      <xsl:text>"</xsl:text>
      <xsl:value-of select="$value"/>
      <xsl:text>"</xsl:text>
    </xsl:when>

    <xsl:when test="$cctype = 'nlib::Date'" >
      <xsl:text>"</xsl:text>
      <xsl:value-of select="$value"/>
      <xsl:text>"</xsl:text>
    </xsl:when>

    <xsl:otherwise>
      <xsl:value-of select="$value"/>
    </xsl:otherwise>

  </xsl:choose>

</xsl:template>

</xsl:stylesheet>
