<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="no"/>

<xsl:template match="keyval">
<html>
  <head>
    <META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title><xsl:value-of select="(@class)"/> Configuration</title>
    <link type="text/css" rel="stylesheet" href="http://www.mekwin.com/nst/css/site.css"></link>
  </head>

<body>

<h1><xsl:value-of select="(@class)"/> Configuration</h1>

  <dl>
    <xsl:apply-templates/>
  </dl>

<a href="http://www.vaisala.com/">http://www.vaisala.com/</a>

</body>
</html>

</xsl:template>

<!-- Add definition info for each parameter -->

<xsl:template match="keyval/*">

  <dt><strong><xsl:value-of select="(@varname)"/>
  <xsl:text> </xsl:text>
  <xsl:value-of select="(@type)"/>
  </strong>
  <xsl:text> (</xsl:text>
  <i>
  <xsl:value-of select="(@default)"/>
  </i>
  <xsl:text>)</xsl:text>
  </dt>

  <dd><xsl:value-of select="description"/></dd>

</xsl:template>

</xsl:stylesheet>
